﻿using System;
using System.Collections.Generic;
using Alarus;

namespace Analyst_PluginExample
{
	public class PluginDefinition : IPlugin
	{
		public Guid Id => new Guid("17EE3457-8FC2-4C0F-B133-EF11D0C4F38C");

		public string Name => "Test event module";

		public string Manufacturer => "Example Company";

		public void Initialize(IPluginHost host)
		{
			host.RegisterAnalyst(typeof(Analyst));
			host.RegisterExternalEvent(typeof(CounterEvent));
		}
	}
}
