﻿using System;
using System.Collections.Generic;
using System.Runtime.InteropServices;
using Alarus;

namespace MenuItem_PluginExample
{
	[Guid("606B2F3D-1982-4A2E-A56C-5EC46F7C8C61")]
	public class PluginDefinition : IPlugin
	{
		public const string ExampleEventProcessorId = "784888F2-6A5C-4147-A992-9310FF35A7C4";
		public Guid Id => new Guid("DC0904D8-5CE8-4FDF-864C-FBCBF3344A4E");
		public string Name => "Menu item plugin example";
		public string Manufacturer => "Manufacturer example";

		public void Initialize(IPluginHost host)
		{
			var requiredPluginIds = new List<Guid> { new Guid(ExampleEventProcessorId) };
			host.RegisterEventProcessor(typeof(ExampleEventProcessor));
			host.RegisterMenuItem(typeof(MenuItemExample), requiredPluginIds);
		}
	}
}